var activeSeq = app.project.activeSequence;

var transitionsRemoved = 0;

for (var i = 0; i < activeSeq.videoTracks.numTracks; i++) {   // für jeden Track
    for (var j = 0; j < activeSeq.videoTracks[i].clips.numItems; j++) { // für jeden Clip
        var clip = activeSeq.videoTracks[i].clips[j];
        if (clip.isSelected()) {
            for (var k = activeSeq.videoTracks[i].transitions.numItems - 1; k >= 0; k--) { // für jede Transition
                var transition = activeSeq.videoTracks[i].transitions[k];
                // wenn die Transistion innerhalb der Range des Clips fällt
                if ((transition.start.seconds >= clip.start.seconds && transition.start.seconds <= clip.end.seconds) ||
                    (transition.end.seconds >= clip.start.seconds && transition.start.seconds <= clip.end.seconds)) {
                    transition.remove(true, true); // remove transition
                    transitionsRemoved++
                }
            }
        }
    }
}

// Für Audio
for (var i = 0; i < activeSeq.audioTracks.numTracks; i++) {   // für Jeden Track

    for (var j = 0; j < activeSeq.audioTracks[i].clips.numItems; j++) { // Für jeden Clip
        var clip = activeSeq.audioTracks[i].clips[j];
        if (clip.isSelected()) {
            for (var k = activeSeq.audioTracks[i].transitions.numItems - 1; k >= 0; k--) { // Für jede Transition
                var transition = activeSeq.audioTracks[i].transitions[k];
                if ((transition.start.seconds >= clip.start.seconds && transition.start.seconds <= clip.end.seconds) ||
                    (transition.end.seconds >= clip.start.seconds && transition.start.seconds <= clip.end.seconds)) {
                    transition.remove(true, true);
                    transitionsRemoved++
                }
            }
        }
    }
}
alert(transitionsRemoved + " transitions removed!"); // Endergebnis